Subject: On a compatibility of statistics/2

From: Kazunari Ishida <[email-masked]>
Date: Thu, 25 Nov 1999 11:15:05 +0900

Please tell me how to invoke a predicate
"statistics(runtime,Time)." correctly with SWI-Prolog.

------------------------
I want to obtain runtime statistics of prolog.

However, staticistics/2 of SWI-Prolog do not have 
"runtime" as it's key (described in 3.40 of it's Manual).

I find a file of "quintus.pl" for compatibility 
with the other prolog interpreter.

However, I can't redefine statistics/2,
instead of consulting the file.
-------------------------

Thank you for any response in advance.

--
Dr. Kazunari Ishida, Research Associate,
E-mail: [email-masked], [email-masked]
URL: http://black-gw.matsue-ct.ac.jp:1085/personal/staff/,
     http://www.ohta.is.uec.ac.jp/ishida/
Phone: +81 852-36-5247 Facsimile: +81 852-36-5247
The Department of Information Engineering
The Matsue National College of Technology 
14-4 Nishiikuma, Matsue, Shimane 690-0865, Japan